Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.query
Interface QueryVisitor

    public interface QueryVisitor

Query visitor pattern

Method Summary
`void` | `finishVisit(Query query)`
`void` | `startVisit(Query query)`
`void` | `visitAskResultForm(Query query)`
`void` | `visitConstructResultForm(Query query)`
`void` | `visitDatasetDecl(Query query)`
`void` | `visitDescribeResultForm(Query query)`
`void` | `visitGroupBy(Query query)`
`void` | `visitHaving(Query query)`
`void` | `visitLimit(Query query)`
`void` | `visitOffset(Query query)`
`void` | `visitOrderBy(Query query)`
`void` | `visitPrologue(com.hp.hpl.jena.sparql.core.Prologue prologue)`
`void` | `visitQueryPattern(Query query)`
`void` | `visitResultForm(Query query)`
`void` | `visitSelectResultForm(Query query)`

Method Detail

### startVisit

    void startVisit(Query query)

### visitPrologue

    void visitPrologue(com.hp.hpl.jena.sparql.core.Prologue prologue)

### visitResultForm

    void visitResultForm(Query query)

### visitSelectResultForm

    void visitSelectResultForm(Query query)

### visitConstructResultForm

    void visitConstructResultForm(Query query)

### visitDescribeResultForm

    void visitDescribeResultForm(Query query)

### visitAskResultForm

    void visitAskResultForm(Query query)

### visitDatasetDecl

    void visitDatasetDecl(Query query)

### visitQueryPattern

    void visitQueryPattern(Query query)

### visitGroupBy

    void visitGroupBy(Query query)

### visitHaving

    void visitHaving(Query query)

### visitOrderBy

    void visitOrderBy(Query query)

### visitLimit

    void visitLimit(Query query)

### visitOffset

    void visitOffset(Query query)

### finishVisit

    void finishVisit(Query query)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP